<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-6">

        </div>
        <div class="col-6 text-right">
            <h2>Logged in user: <span class="text-info" sec:authentication="principal.username"></span></h2>
            <a th:href="@{/logout}" class="btn btn-warning" >Logout</a>
        </div>
    </div>
    <div class="row"><h2>User List</h2></div>
    <div class="row">
        <div class="col">
            <a href="/user/add" class="btn btn-primary btn-sm">Add New</a>
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>Full Name</th>
                    <th>User Name</th>
                    <th>Role</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="tempUser : ${userList}">
                    <td th:text="${tempUser.id}"></td>
                    <td th:text="${tempUser.fullName}"></td>
                    <td th:text="${tempUser.username}"></td>
                    <td th:text="${tempUser.role}"></td>
                    <td class="text-center">
                        <a class="btn btn-primary" th:href="@{/user/update/{id}(id=${tempUser.id})}">Update</a>&nbsp
                        <a class="btn btn-danger" th:href="@{/user/delete/{id}(id=${tempUser.id})}">Delete</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
</body>
</html>